package io.platform.sys.biz.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@TableName("sys_menu")
public class SysMenu extends Model<SysMenu>  implements Serializable{
private static final long serialVersionUID = 5554155825314635341L;


    /**
     * menuId       db_column: menu_id
     */
    @TableId(value="menu_id", type= IdType.AUTO)
    private Long menuId;


    @Override
    protected Serializable pkVal() {
        return this.menuId;
    }

    /**
     * 父菜单ID，一级菜单为0       db_column: parent_id
     */
    @TableField("parent_id")
    private Long parentId;

    /**
     * 菜单名称       db_column: name
     */
    @TableField("name")
    private String name;

    /**
     * 菜单URL       db_column: url
     */
    @TableField("url")
    private String url;

    /**
     * 授权(多个用逗号分隔，如：user:list,user:create)       db_column: perms
     */
    @TableField("perms")
    private String perms;

    /**
     * 类型   0：目录   1：菜单   2：按钮       db_column: type
     */
    @TableField("type")
    private Integer type;

    /**
     * 菜单图标       db_column: icon
     */
    @TableField("icon")
    private String icon;

    /**
     * 排序       db_column: order_num
     */
    @TableField("order_num")
    private Integer orderNum;
//columns END
    /**
     * 父菜单名称
     */
    @TableField(exist=false)
    private String parentName;
    /**
     * ztree属性
     */
    @TableField(exist=false)
    private Boolean open;

    @TableField(exist=false)
    private List<?> list;
}
